# Get all categories

GET /api/v1/markets/categories

## Get all categories

> Returns a paginated list of all market categories, each including a count of subcategories and topics nested within it.

```json
{"openapi":"3.1.1","info":{"title":"FortyTwo Read API","version":"1.0"},"tags":[{"description":"GET /api/v1/markets/categories","name":"get-all-categories"}],"servers":[{"url":"https://rest.ft.42.space/"}],"paths":{"/api/v1/markets/categories":{"get":{"description":"Returns a paginated list of all market categories, each including a count of subcategories and topics nested within it.","tags":["get-all-categories"],"summary":"Get all categories","parameters":[{"schema":{"type":"integer","default":100},"description":"Page size","name":"limit","in":"query"},{"schema":{"type":"integer","default":0},"description":"Page offset","name":"offset","in":"query"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/api.PaginatedResponse-handler_CategoryListItem"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/api.ErrorResponse"}}}}}}}},"components":{"schemas":{"api.PaginatedResponse-handler_CategoryListItem":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/handler.CategoryListItem"}},"pagination":{"$ref":"#/components/schemas/api.Pagination"}}},"handler.CategoryListItem":{"type":"object","properties":{"id":{"type":"integer"},"image":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"subcategoryCount":{"type":"integer"},"topicCount":{"type":"integer"}}},"api.Pagination":{"type":"object","properties":{"hasMore":{"type":"boolean"},"totalResults":{"type":"integer"}}},"api.ErrorResponse":{"type":"object","properties":{"code":{"type":"integer"},"error":{"type":"string"},"message":{"type":"string"}}}}}}
```
